com.pixelmed.network

## Class PresentationContext

- java.lang.Object
- - com.pixelmed.network.PresentationContext

    public class PresentationContext
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`PresentationContext(byte identifier)`
`PresentationContext(byte identifier, byte resultReason)`
`PresentationContext(byte identifier, byte resultReason, java.lang.String abstractSyntaxUID)`
`PresentationContext(byte identifier, byte resultReason, java.lang.String abstractSyntaxUID, java.util.LinkedList transferSyntaxUIDs)`
`PresentationContext(byte identifier, byte resultReason, java.lang.String abstractSyntaxUID, java.lang.String transferSyntaxUID)`
`PresentationContext(byte identifier, java.lang.String abstractSyntaxUID)`
`PresentationContext(byte identifier, java.lang.String abstractSyntaxUID, java.util.LinkedList transferSyntaxUIDs)`
`PresentationContext(byte identifier, java.lang.String abstractSyntaxUID, java.lang.String transferSyntaxUID)`

### Method Summary

Methods
`void` `addTransferSyntaxUID(java.lang.String transferSyntaxUID)`
`java.lang.String` `getAbstractSyntaxUID()`
`byte` `getIdentifier()`
`byte` `getResultReason()`
`java.lang.String` `getTransferSyntaxUID()`
`java.util.List` `getTransferSyntaxUIDs()`
`void` `newTransferSyntaxUIDs()`
`void` `setAbstractSyntaxUID(java.lang.String uid)`
`void` `setIdentifier(byte identifier)`
`void` `setResultReason(byte resultReason)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PresentationContext

    public PresentationContext(byte identifier)

Parameters:
  `identifier` -

#### PresentationContext

    public PresentationContext(byte identifier,
                       java.lang.String abstractSyntaxUID)

Parameters:
  `identifier` -
  `abstractSyntaxUID` -

#### PresentationContext

    public PresentationContext(byte identifier,
                       java.lang.String abstractSyntaxUID,
                       java.lang.String transferSyntaxUID)

Parameters:
  `identifier` -
  `abstractSyntaxUID` -
  `transferSyntaxUID` -

#### PresentationContext

    public PresentationContext(byte identifier,
                       java.lang.String abstractSyntaxUID,
                       java.util.LinkedList transferSyntaxUIDs)

Parameters:
  `identifier` -
  `abstractSyntaxUID` -
  `transferSyntaxUIDs` -

#### PresentationContext

    public PresentationContext(byte identifier,
                       byte resultReason)

Parameters:
  `identifier` -
  `resultReason` -

#### PresentationContext

    public PresentationContext(byte identifier,
                       byte resultReason,
                       java.lang.String abstractSyntaxUID)

Parameters:
  `identifier` -
  `resultReason` -
  `abstractSyntaxUID` -

#### PresentationContext

    public PresentationContext(byte identifier,
                       byte resultReason,
                       java.lang.String abstractSyntaxUID,
                       java.lang.String transferSyntaxUID)

Parameters:
  `identifier` -
  `resultReason` -
  `abstractSyntaxUID` -
  `transferSyntaxUID` -

#### PresentationContext

    public PresentationContext(byte identifier,
                       byte resultReason,
                       java.lang.String abstractSyntaxUID,
                       java.util.LinkedList transferSyntaxUIDs)

Parameters:
  `identifier` -
  `resultReason` -
  `abstractSyntaxUID` -
  `transferSyntaxUIDs` -

### Method Detail

#### newTransferSyntaxUIDs

    public void newTransferSyntaxUIDs()

#### addTransferSyntaxUID

    public void addTransferSyntaxUID(java.lang.String transferSyntaxUID)

Parameters:
  `transferSyntaxUID` -

#### getTransferSyntaxUIDs

    public java.util.List getTransferSyntaxUIDs()

#### getTransferSyntaxUID

    public java.lang.String getTransferSyntaxUID()

#### getAbstractSyntaxUID

    public java.lang.String getAbstractSyntaxUID()

#### setAbstractSyntaxUID

    public void setAbstractSyntaxUID(java.lang.String uid)

Parameters:
  `uid` -

#### getIdentifier

    public byte getIdentifier()

#### setIdentifier

    public void setIdentifier(byte identifier)

Parameters:
  `identifier` -

#### getResultReason

    public byte getResultReason()

#### setResultReason

    public void setResultReason(byte resultReason)

Parameters:
  `resultReason` -

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`